petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceGetSymmetries

Returns a description of the symmetries of this basis

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetSymmetries(PetscDualSpace sp, const PetscInt ****perms, const PetscScalar ****flips)

Not collective

### Input Parameter

sp -the PetscDualSpace object

### Output Parameters

| perms | - Permutations of the local degrees of freedom, parameterized by the point orientation
| flips | - Sign reversal of the local degrees of freedom, parameterized by the point orientation

Note: The permutation and flip arrays are organized in the following way

    perms[p][ornt][dof # on point] = new local dof #

    flips[p][ornt][dof # on point] = reversal or not

### See Also

PetscDualSpaceSetSymmetries()

### Level

developer

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceGetSymmetries_BDM in src/dm/dt/dualspace/impls/bdm/dspacebdm.c
PetscDualSpaceGetSymmetries_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages